API ReferenceGeneratedBilling

Subscribe the authenticated app user to a recurring price; returns a Stripe client_secret to confirm payment.

Subscribe the authenticated app user to a recurring price; returns a Stripe client_secret to confirm payment.

POST
/{appUid}/autocrud/products/actions/subscribe

Authorization

bearerAuth
AuthorizationBearer <token>

Authorization for API

In: header

Path Parameters

appUid*string

Your app's unique id. Find it in the console under the app's Settings, or in the URL of any app page.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/497f6eca-6276-4993-bfeb-53cbbbba6f08/autocrud/products/actions/subscribe" \  -H "Content-Type: application/json" \  -d '{    "priceId": "string"  }'
{}